<template>
    <component :is="moduleTable" :module="module"></component>
</template>

<script>
 
export default {
    setup() {
		
    },
	provide(){
		return {module:this.module}
	},
    props: ['module'],
    computed: {
        moduleTable() {
            return Vue.defineAsyncComponent(() => import(`components/modules/${this.module.Module_Name}/table.vue`));
        }
    }
}
</script>
